#include "stats.hpp"
#include <fmt/core.h>
#include "dbc.hpp"

void Stats::dump(std::string msg)
{
  dbc::log(fmt::format("{}: sum: {}, sumsq: {}, n: {}, "
            "min: {}, max: {}, mean: {}, stddev: {}",
            msg, sum, sumsq, n, min, max, mean(),
            stddev()));
}
